Package Details: yamagi-quake2 8.01-1

Git Clone URL: https://aur.archlinux.org/yamagi-quake2.git (read-only, click to copy)
Package Base: yamagi-quake2
Description: Enhanced Quake II engine optimized for modern systems
Upstream URL: https://www.yamagi.org/quake2/
Keywords: first-person-shooter FPS
Licenses: GPL2, custom: Info-ZIP
Submitter: FredBezies
Maintainer: carstene1ns
Last Packager: carstene1ns
Votes: 49
Popularity: 0.114329
First Submitted: 2009-06-27 09:00 (UTC)
Last Updated: 2022-04-09 17:56 (UTC)

Latest Comments

carstene1ns commented on 2022-04-09 17:57 (UTC)

uint2048_t: updated.

uint2048_t commented on 2022-04-08 16:13 (UTC)

Any chance for an updated package to 8.01? Or is this orphaned?

niobium93 commented on 2022-02-15 07:37 (UTC)

Version 8.01 PKGBUILD Vulkan renderer addon PKGBUILD

xDShot commented on 2021-06-07 09:22 (UTC)

Will you make package for separate vulkan renderer? https://github.com/yquake2/ref_vk

carstene1ns commented on 2020-09-03 17:44 (UTC)

Sure, will add it with the next update.

dleslie commented on 2020-09-02 19:30 (UTC)

Seconding @Opvolger: aarch64 works great on the Pinebook Pro; please add it.

Opvolger commented on 2020-07-29 20:49 (UTC)

can you add aarch64?

arch=('i686' 'x86_64' 'aarch64')

yquake2 for pinebook pro :)

carstene1ns commented on 2020-07-23 16:48 (UTC)

mjr4077au: Upstream should maybe decide properly which method they want to support in the long term. If you look at the history of my yamagi-quake2* packages, versions before 7.XX (2017) have used the Makefile. I was told back then to migrate to CMake because they wanted to deprecate the Makefile. Now it is the other way around. Other distributions use the CMake method as well since it was added. Personally I do not care which method is used...

mjr4077au commented on 2020-06-11 06:48 (UTC)

Upstream recommend just using the makefile and not the CMakeLists.txt file as they don't test it or build with it themselves. The reasons being are in the link in the comment I mentioned before.

Basically, delete the Cmake lines from the build() in the PKGBUILD and replace with make WITH_SYSTEMWIDE=yes

lazycrypt commented on 2020-06-11 06:43 (UTC)

While waiting for the package to be updated and fixed, how should the PKGBUILD be modified for it to work?

mjr4077au commented on 2020-05-11 09:47 (UTC)

Hi there,

For this package and all of Yamagi's Quake II repositories, upstream has indicated that the CMakeLists.txt usage is considered unsupported. It would be recommeneded to transition your PKGBUILDs to using the makefile only.

Compiling recently broke due to changes in game that were not reflected in the CMakeLists.txt. Author's notes here also: https://github.com/yquake2/rogue/pull/72#issuecomment-626593462

Kind Regards, Mitch.

commented on 2017-10-07 00:35 (UTC)

Here you can find some games you might be interested in: http://s.go.ro/clh7ajtp

Retro_Gamer commented on 2015-11-30 00:12 (UTC) (edited on 2015-11-30 00:52 (UTC) by Retro_Gamer)

quake2-5.32.tar.xz fails to extract due to corrupted input data from "/aur-yamagi-quake2/src/quake2-5.32/stuff/osx/quake2-appbundle.zip"? That zip file is indeed corrupt and will not open. Its been corrupt last few releases actually quake2-5.30.tar.xz is the last known good non-corrupted quake2-appbundle.zip. I was able to "fix" it by opening quake2-5.30.tar.xz and pulling the needed files: /quake2-5.30/stuff/quake2-start.sh /quake2-5.30/stuff/yq2.cfg /quake2-5.30/stuff/osx/quake2-appbundle.zip Then put them into quake2-5.32.tar.xz at the same location. I wasn't sure if it was needed, but I built it from the terminal with,"makepkg --skipinteg" and all works fine.

carstene1ns commented on 2015-04-18 21:09 (UTC)

No problem, flag removed.

commented on 2015-04-18 17:47 (UTC)

sorry for flagged out-of-date

carstene1ns commented on 2014-01-24 15:27 (UTC)

After installation of all Quake II data files, your folder structure should look something like this: http://arch.carsten-teibes.de/aur-stuff/quake2.html

carstene1ns commented on 2014-01-24 02:00 (UTC)

Adopted and updated to 5.21, using SDL2 now.

tadeu commented on 2013-09-16 19:13 (UTC)

5.11 PKGBUILD: http://codepad.org/yWce5RxR

banditsan commented on 2013-03-09 22:19 (UTC)

Add 'openal' to dependencies: -> Extracting quake2-5.10.tar.xz with bsdtar ==> Entering fakeroot environment... ==> Starting build()... ===> Building quake2 make release/quake2 make[1]: Entering directory `/tmp/yaourt-tmp-marius/aur-yamagi-quake2/src/quake2-5.10' ===> CC src/backends/generic/qal.c src/backends/generic/qal.c:39:19: fatal error: AL/al.h: No such file or directory compilation terminated. make[1]: *** [build/client/src/backends/generic/qal.o] Error 1 make[1]: Leaving directory `/tmp/yaourt-tmp-marius/aur-yamagi-quake2/src/quake2-5.10' make: *** [client] Error 2 ==> ERROR: A failure occurred in build(). Aborting... ==> ERROR: Makepkg was unable to build yamagi-quake2. ==> Restart building yamagi-quake2 ? [y/N]

commented on 2013-02-08 04:40 (UTC)

5.10 PKGBUILD - http://codepad.org/NBHjKuU1

qs9rx commented on 2012-09-09 10:15 (UTC)

On 09/03/2012 Quake II 5.00 was released.

qs9rx commented on 2012-08-20 10:22 (UTC)

Update please! 4.21 is out. md5sum is 9f5bde93b49e350ced7228cf2b2dc11f

sseering commented on 2012-08-04 18:18 (UTC)

A new version is out. Please update the PKGBUILD.

abraxas commented on 2012-06-11 11:26 (UTC)

openal should be added as a dependency. otherwise you'll get a compile error.

neuromancer85 commented on 2012-04-16 21:11 (UTC)

Here is the updated PKGBUILD: http://pastebin.com/cP4atp9z

neuromancer85 commented on 2012-04-16 20:53 (UTC)

Version 4.10 is out... Is this pkg still mantained?

prg commented on 2012-01-19 16:45 (UTC)

Looks like the segfault issue can be resolved by doing: sudo ln -s /usr/lib/libGL.so /usr/share/quake2/opengl32 which was posted earlier

prg commented on 2012-01-19 03:49 (UTC)

There is currently an error with the .install It should be -- :: Touch launch game: cd /usr/share/quake2/ ^^^^^ instead of /usr/bin/quake2. In addition, it might be worth creating a couple line script that will do this and install it to /usr/bin/ I'm also having segfault issues with the latest version (but did not have issues with the previous). I will post more information when I find out more

commented on 2011-11-08 08:37 (UTC)

@Augenblick I had the same problem but deleteing my ~/.quake2 directory and letting this recreate it fixed it.

commented on 2011-10-29 21:44 (UTC)

I am having problems with the textures in game. Sometimes the player textures and some in the map dissapear or are changed by others, also the HUD and the menu, which appear as a series of rectangles. I think it's associated with lighting because in open maps this issue doesn happen all the time. Is anyone else having the same problem?

omer666 commented on 2011-03-28 10:34 (UTC)

Please forgive me for asking the question, but is this package orphan or what ?

omer666 commented on 2011-03-05 19:02 (UTC)

Version 3.0 released

widowild commented on 2011-02-04 13:50 (UTC)

ftp://deponie.yamagi.org/quake2/quake2-3.00.RC2.tar.bz2

widowild commented on 2010-12-15 13:40 (UTC)

:: You need the retail Quake II data files to play, :: copy them to '/usr/share/quake2/' :: To launch game : cd /usr/bin/quake2/ :: ./quake2 remplace by: :: You need the retail Quake II data files to play, :: copy them to '/usr/share/quake2/' :: To launch game : cd /usr/share/quake2/ :: ./quake2

veox commented on 2010-11-07 21:04 (UTC)

Needed this to avoid segmentation fault: sudo ln -s /usr/lib/libGL.so /usr/share/quake2/opengl32 via http://ubuntuforums.org/showthread.php?t=1046844

widowild commented on 2010-06-28 13:31 (UTC)

Hello, make[1]: quittant le répertoire « /tmp/packerbuild-0/yamagi-quake2-xatrix/yamagi-quake2-xatrix/src/xatrix-1.04 » install: impossible d'évaluer « xatrix.sh »: Aucun fichier ou dossier de ce type Abandon... The build failed.